Skip to main content

Source

A Source is all information on the person gathered from a single data source.

πŸ“˜ Source visibility

In order to get source objects in response, set the show_sources request parameter to β€œall” or β€œmatching”.

If using show_sources="all", sources with a person_id are those sources used to build the response person.

Read more about working with the sources layer here .

Metadata​

AttributeTypeDescription
@idStringUnique identifier of this source in our systems. Useful for debugging.
@nameStringData Source name
@categoryStringData Source category
@domainStringData Source domain
@person_idGUIDThe id of the person this source belongs to.
@sponsoredBooleanIndicating whether additional data from this source is available behind a website paywall. Omitted if false.
@origin_urlStringThe url of the web page holding this information. Only shown if the data is available online.
@matchFloat0-1. The match score of the person this source belongs to.
@premiumBooleanWhether this is a premium data source. Omitted if false.

Source Categories​

Sources are categorized into nine categories.

CategoryExamples
personal_profilesfacebook.com, pinterest.com, last.fm
mediapicasa.com, flickr.com, youtube.com
professional_and_businesslinkedin.com, spoke.com, zoominfo.com
public_recordsbop.gov, archives.com, ancestry.com
publicationsuspto.gov, portal.acm.org, scirus.com
school_and_classmatesclassmates.com, reunion.com, schoolbank.nl
email_addressintelius.com, spokeo.com
background_reportspeoplefinders.com intelius.com peoplesmart.com
contact_detailswhitepages.com, addresses.com, anywho.com
web_pagesDefault category for sources that don’t match any of the above categories.

Data​

MemberTypeDescription
namesName[]Array of names
emailsEmail[]Array of emails
usernamesUsername[]Array of usernames
phonesPhones[]Array of phones
genderGenderA gender object
dobDOBA date of birth object
languagesLanguage[]Array of languages
ethnicitiesEthinicity[]Array of ethinicities
origin_countriesOriginCountry[]Array of origin countries
addressesAddress[]Array of addresses
jobsJob[]Array of jobs
educationsEducations[]Array of educations
vehiclesVehicle[]Array of vehicles
relationshipsRelationships[]Array of relationships
user_idsUserID[]Array of user ids
imagesImage[]Array of images
urlsUrl[]Array of urls
tagsTag[]Array of tags

Example Source Object​

{
"@id": "string",
"@name": "string",
"@category": "string",
"@domain": "string",
"@person_id": "GUID",
"@sponsored": false,
"@origin_url": "string",
"@match": float,
"names": [],
"emails": [],
"usernames": [],
"phones": [],
"gender": {},
"dob": {},
"languages": [],
"ethnicities": [],
"origin_countries": [],
"addresses": [],
"jobs": [],
"educations": [],
"vechicles": [],
"relationships": [],
"user_ids": [],
"images": [],
"tags": []
}